> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Updates the specified maintenance operation.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json patch /maintenance/v1alpha1/maintenances
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /maintenance/v1alpha1/maintenances:
    patch:
      tags:
        - nebius.maintenance.v1alpha1.MaintenanceService
      summary: Update
      description: Updates the specified maintenance operation.
      operationId: MaintenanceService_Update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1alpha1UpdateMaintenanceRequest'
        required: true
        x-originalParamName: body
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1alpha1UpdateMaintenanceResponse'
          description: A successful response.
components:
  schemas:
    v1alpha1UpdateMaintenanceRequest:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1alpha1MaintenanceSpec'
      required:
        - metadata
      type: object
    v1alpha1UpdateMaintenanceResponse:
      properties:
        maintenance:
          $ref: '#/components/schemas/v1alpha1Maintenance'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1alpha1MaintenanceSpec:
      properties:
        scheduledAt:
          description: >-
            Timestamp indicating when the maintenance operation is scheduled to
            run.
          format: date-time
          type: string
      required:
        - scheduledAt
      type: object
    v1alpha1Maintenance:
      description: >-
        Maintenance operations are initiated by Nebius Cloud infrastructure.

        They are used to perform scheduled or urgent operations on Nebius Cloud
        resources,

        such as Managed Services or Standalone Applications, that are necessary
        for

        maintaining the service in an operable state. These operations run
        automatically,

        without user intervention.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1alpha1MaintenanceSpec'
        status:
          $ref: '#/components/schemas/v1alpha1MaintenanceStatus'
      type: object
    v1alpha1MaintenanceStatus:
      properties:
        affectedResources:
          description: List of resources that are affected by this maintenance operation.
          items:
            $ref: '#/components/schemas/maintenanceV1alpha1Resource'
          type: array
        finishedAt:
          description: Timestamp indicating when the maintenance operation finished.
          format: date-time
          type: string
        reschedulable:
          description: >-
            Indicates whether the maintenance operation's scheduled_at time can
            be changed.
          type: boolean
        startedAt:
          description: Timestamp indicating when the maintenance operation started.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/maintenanceV1alpha1State'
      type: object
    maintenanceV1alpha1Resource:
      properties:
        id:
          description: Unique identifier for the resource.
          type: string
        parentId:
          description: IAM container of the resource.
          type: string
      type: object
    maintenanceV1alpha1State:
      default: STATE_UNSPECIFIED
      description: |2-
         - STATE_SCHEDULED: Maintenance operation is scheduled to be run in the future.
         - STATE_IN_PROGRESS: Maintenance operation is currently in progress.
         - STATE_FINISHED: Maintenance operation has been successfully completed.
         - STATE_ERROR: Maintenance operation has encountered an error and could not be completed.
         - STATE_CANCELLED: Maintenance operation has been cancelled by the system.
      enum:
        - STATE_UNSPECIFIED
        - STATE_SCHEDULED
        - STATE_IN_PROGRESS
        - STATE_FINISHED
        - STATE_ERROR
        - STATE_CANCELLED
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````